#
# spec file for package python-django-sortedm2m
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-sortedm2m
Version:        4.0.0
Release:        1.2
Summary:        Drop-in replacement for django's many to many field with sorted relations
License:        BSD-3-Clause
URL:            https://github.com/jazzband/django-sortedm2m
Source:         https://github.com/jazzband/django-sortedm2m/archive/refs/tags/%{version}.tar.gz#/django-sortedm2m-%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
Drop-in replacement for Django's many to many field with sorted relations.

%prep
%setup -q -n django-sortedm2m-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH=${PWD}
export DJANGO_SETTINGS_MODULE=test_project.settings
export DB_ENGINE=sqlite3 DB_NAME=":memory:"
%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGES.rst README.rst
%license LICENSE.txt
%{python_sitelib}/sortedm2m
%{python_sitelib}/django_sortedm2m-%{version}.dist-info

%changelog
* Mon Dec  2 2024 Steve Kowalik <steven.kowalik@suse.com>
- Update to 4.0.0:
  * better syntax highlighting
  * Add Django 4 testing and remove unsupported Python and Django versions
  * increase test coverage
  * Combine 2 other PRs to get the checks fully passing
  * Ensure that code quality checks are running
  * Update Django testing versions
  * Fix error in field in Django 5.1
  * Updated Python and Django version support
  * Removed QUnit tests
- Switch back to GitHub tarball, no source on PyPi.
- Switch to pyproject macros.
* Tue Feb 13 2024 Christian Keil <keil@dfn-cert.de>
- Switch to Python 3.11 build.
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Use PyPI tarball instead of GitHub tarball
- Update to v3.1.1
  * Fixed JS bug for popup in Django admin
- Update to v3.1.0
  * Fixed jQuery UI error
  * Added support for Django 3.2
- Update to v3.0.2
  * Restored admin/js/jquery.init.js
- Update to v3.0.1
  * Added all locales to distributable
  * Added missing files to MANIFEST.in, and removed .DS_Store files
  * Added German and Spanish translations
  * Removed admin/js/jquery.init.js from SortedCheckboxSelectMultiple
* Thu May  7 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v3.0.0
